> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# すべての Knowledge を一覧表示する

> 組織のすべての Knowledge エントリとフォルダを一覧表示します。



## OpenAPI

````yaml ja/v1-openapi.yaml GET /v1/knowledge
openapi: 3.1.0
info:
  description: Personal APIキーおよびService APIキーに対応するDevin v1 API
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/knowledge:
    get:
      summary: すべての Knowledge を一覧表示する
      description: 組織のすべての Knowledge エントリとフォルダを一覧表示します。
      operationId: get_all_knowledge_v1_knowledge_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllKnowledgeResponse'
          description: 成功時のレスポンス
components:
  schemas:
    AllKnowledgeResponse:
      properties:
        folders:
          items:
            $ref: '#/components/schemas/FolderResponse'
          title: Folders
          type: array
        knowledge:
          items:
            $ref: '#/components/schemas/KnowledgeResponse'
          title: Knowledge
          type: array
      required:
        - knowledge
        - folders
      title: AllKnowledgeResponse
      type: object
    FolderResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          title: Description
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - description
        - created_at
      title: FolderResponse
      type: object
    KnowledgeResponse:
      properties:
        body:
          title: Body
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          anyOf:
            - $ref: '#/components/schemas/KnowledgeCreatedBy'
            - type: 'null'
        id:
          title: Id
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        name:
          title: Name
          type: string
        parent_folder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Folder Id
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger_description:
          title: Trigger Description
          type: string
      required:
        - name
        - body
        - trigger_description
        - id
        - created_at
      title: KnowledgeResponse
      type: object
    KnowledgeCreatedBy:
      description: Knowledge エントリの作成者情報。
      properties:
        full_name:
          title: Full Name
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      required:
        - full_name
      title: KnowledgeCreatedBy
      type: object
  securitySchemes:
    bearerAuth:
      description: 個人用APIキー (apk_user_\*) またはサービス用APIキー (apk_\*)
      scheme: bearer
      type: http

````